package de.hsbo.fbv.bmg.topology.algorithms.demos;

import java.util.Arrays;

import de.hsbo.fbv.bmg.topology.algorithms.Algorithms;
import de.hsbo.fbv.bmg.topology.networks.Network1T;
import de.hsbo.fbv.bmg.topology.networks.Node;
import de.hsbo.fbv.bmg.topology.algorithms.demos.SimpleNetworkFactory;
import de.hsbo.fbv.bmg.topology.networks.impl.SimpleElement;



public class SimpleDijkstraDemo {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Network1T<String, String> nrw = SimpleNetworkFactory.citiesNRW();
		SimpleElement.setPrintoptions(SimpleElement.WEIGHT);
		System.out.println("Stdteverbindungen NRW:");
		System.out.println(nrw);
		Network1T<String, String> bfsNrw1 = Algorithms.runDijkstra(nrw, "AC", "MS");
		System.out.println("Ergebnis der Suche nach krzesten Wegen (Dijkstra-Algorithmus):");
		System.out.println(bfsNrw1);
		
		Node[] nodes = bfsNrw1.getNodes();
		SimpleElement.setSortOption(SimpleElement.WEIGHT);
		SimpleElement.setPrintoptions(SimpleElement.OBJECT+SimpleElement.WEIGHT);
		Arrays.sort(nodes);
		System.out.println(Arrays.toString(nodes));
	}

}
