package de.hsbo.fbv.bmg.topology.operators.demo;

import de.hsbo.fbv.bmg.geometry.simple.GLine;
import de.hsbo.fbv.bmg.geometry.simple.GPoint;
import de.hsbo.fbv.bmg.geometry.simple.GeoModel;


public class TopoOpsDemo {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		// Erzeuge Punktobjekte
		GPoint a = GeoModel.createPoint(100, 100);	// Startpunt l0
		GPoint b = GeoModel.createPoint(200, 200);	// Endpunkt l0
		GPoint c = GeoModel.createPoint(150, 160);	// abseits liegender Punkt
		GPoint d = GeoModel.createPoint(100, 200);
		GPoint e = GeoModel.createPoint(150, 150);
		GPoint f = GeoModel.createPoint(200, 100);
		
		// Feld anlegen
		GLine[] l = new GLine[5];
		// Erstes Liniensegment
		l[0] = GeoModel.createLine(a, b);
		// Entfernt liegendes Liniensegment
		l[1] = GeoModel.createLine(c, d);
		// berkreuzendes Liniensegment
		l[2] = GeoModel.createLine(d, f);
		// Berhrendes Liniensegment
		l[3] = GeoModel.createLine(d, e);
		// Liniensegment (gemeinsamer Start- oder Endpunkt)
		l[4] = GeoModel.createLine(d, b);
		
		// Symbol fr gemeisamen Start- oder Endpunkt
		String connects = "FF*F0****";
		
		// Auswerten
		System.out.println(l[0].asText()+"\tEQUALS\tDISJ.\tCROSSES\tTOUCHES\tCONNECTS");
		for(int i=0; i<l.length; i++)
			System.out.println(l[i].asText()+
					"\t"+l[0].equals(l[i])+
					"\t"+l[0].disjoint(l[i])+
					"\t"+l[0].crosses(l[i])+
					"\t"+l[0].touches(l[i])+
					"\t"+l[0].relate(l[i], connects));
	}

}
